Functions
Database
kvlclib

## Functions
KvlcStatus | kvlcAddDatabaseFile (KvlcHandle handle, const char *filename, unsigned int channelMask)
KvlcStatus | kvlcAddDatabase (KvlcHandle handle, KvaDbHnd dbHandle, unsigned int channelMask)

## Detailed Description

## Function Documentation

## ◆ kvlcAddDatabase()

KvlcStatus kvlcAddDatabase | ( | KvlcHandle | handle,
|  | KvaDbHnd | dbHandle,
|  | unsigned int | channelMask
| ) |  |

Add a database handle. Output formats with the property KVLC_PROPERTY_SIGNAL_BASED will match events against all entries in the database and write signals to the output file.

Note
  Data conversion is faster with fewer signals and fewer active channels.

Parameters

  [in] | handle | An open handle to a converter.
  [in] | dbHandle | A database handle created with kvadblib.
  [in] | channelMask | Bitmask with active channels.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcAddDatabaseFile(), kvlcDeleteConverter()

## ◆ kvlcAddDatabaseFile()

KvlcStatus kvlcAddDatabaseFile | ( | KvlcHandle | handle,
|  | const char * | filename,
|  | unsigned int | channelMask
| ) |  |

Add a database file. Output formats with the property KVLC_PROPERTY_SIGNAL_BASED will match events against all entries in the database and write signals to the output file.

Note
  Data conversion is faster with fewer signals and fewer active channels.

Parameters

  [in] | handle | An open handle to a converter.
  [in] | filename | Buffer containing database name, a pointer to a `NULL` terminated array of chars.
  [in] | channelMask | Bitmask with active channels.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcAddDatabase()